#include <iostream>
#include <math.h>

using namespace std;

int number_of_digits(int x)
{
    int i;
    for(  i = 0 ; x > 0 ; i++ ) x = x/10;
    return i;
}

int first_digit(int x)
{
    while( x >= 10)
    {
        x = x/10;
    }

    return x;
}

int main()
{
    long int a,b,c;
    int a1 ,b1 ,c1 ;

    cin >> a >> b >> c;

    a1 = first_digit(a);
    b1 = first_digit(b);
    c1 = first_digit(c);

    if (a1 < b1)
    {
        swap(a1, b1);
        swap(a, b);
    }
    if (b1 < c1)
    {
        swap(b1, c1);
        swap(b, c);
    }
    if (a1 < b1)
    {

        swap(a1, b1);
        swap(a, b);
    }

    if ((a < b) && (a1 == b1))
    {
        swap(a, b);
    }
     if ((b < c) && (b1 == c1))
    {
        swap(b, c);
    }
     if ((a < b) && (a1 == b1))
    {
        swap(a, b);
    }

    int middle, ending;
    middle = number_of_digits(b) + number_of_digits(c);
    ending = number_of_digits(c);

    long long int sequence = a * pow(10 , middle) + b * pow(10 , ending) + c;

    cout << sequence ;
}